Red Hat Enterprise Linux 3: System Administration Guide
Prev | Chapter 9. Kickstart Installations | Next

# 9.4. Kickstart Options

The following options can be placed in a kickstart file. If you prefer to use a graphical interface for creating your kickstart file, you can use the Kickstart Configurator application. Refer to Chapter 10 Kickstart Configurator for details.

| Note
| If the option is followed by an equals mark (=), a value must be specified after it. In the example commands, options in brackets ([]) are optional arguments for the command.

`autopart` (optional)

  Automatically create partitions — 1 GB or more root (`/`) partition, a swap partition, and an appropriate boot partition for the architecture. One or more of the default partition sizes can be redefined with the `part` directive.

`autostep` (optional)

  Similar to `interactive` except it goes to the next screen for you. It is used mostly for debugging.

`auth` or `authconfig` (required)

  Sets up the authentication options for the system. It's similar to the `authconfig` command, which can be run after the install. By default, passwords are normally encrypted and are not shadowed.

  `--enablemd5`

    Use md5 encryption for user passwords.

  `--enablenis`

    Turns on NIS support. By default, `--enablenis` uses whatever domain it finds on the network. A domain should almost always be set by hand with the `--nisdomain=` option.

  `--nisdomain=`

    NIS domain name to use for NIS services.

  `--nisserver=`

    Server to use for NIS services (broadcasts by default).

  `--useshadow` or `--enableshadow`

    Use shadow passwords.

  `--enableldap`

    Turns on LDAP support in `/etc/nsswitch.conf`, allowing your system to retrieve information about users (UIDs, home directories, shells, etc.) from an LDAP directory. To use this option, you must install the `nss_ldap` package. You must also specify a server and a base DN with `--ldapserver=` and `--ldapbasedn=`.

  `--enableldapauth`

    Use LDAP as an authentication method. This enables the `pam_ldap` module for authentication and changing passwords, using an LDAP directory. To use this option, you must have the `nss_ldap` package installed. You must also specify a server and a base DN with `--ldapserver=` and `--ldapbasedn=`.

  `--ldapserver=`

    If you specified either `--enableldap` or `--enableldapauth`, use this option to specify the name of the LDAP server to use. This option is set in the `/etc/ldap.conf` file.

  `--ldapbasedn=`

    If you specified either `--enableldap` or `--enableldapauth`, use this option to specify the DN (distinguished name) in your LDAP directory tree under which user information is stored. This option is set in the `/etc/ldap.conf` file.

  `--enableldaptls`

    Use TLS (Transport Layer Security) lookups. This option allows LDAP to send encrypted usernames and passwords to an LDAP server before authentication.

  `--enablekrb5`

    Use Kerberos 5 for authenticating users. Kerberos itself does not know about home directories, UIDs, or shells. So if you enable Kerberos you will need to make users' accounts known to this workstation by enabling LDAP, NIS, or Hesiod or by using the `/usr/sbin/useradd` command to make their accounts known to this workstation. If you use this option, you must have the `pam_krb5` package installed.

  `--krb5realm=`

    The Kerberos 5 realm to which your workstation belongs.

  `--krb5kdc=`

    The KDC (or KDCs) that serve requests for the realm. If you have multiple KDCs in your realm, separate their names with commas (,).

  `--krb5adminserver=`

    The KDC in your realm that is also running kadmind. This server handles password changing and other administrative requests. This server must be run on the master KDC if you have more than one KDC.

  `--enablehesiod`

    Enable Hesiod support for looking up user home directories, UIDs, and shells. More information on setting up and using Hesiod on your network is in `/usr/share/doc/glibc-2.x.x/README.hesiod`, which is included in the `glibc` package. Hesiod is an extension of DNS that uses DNS records to store information about users, groups, and various other items.

  `--hesiodlhs`

    The Hesiod LHS ("left-hand side") option, set in `/etc/hesiod.conf`. This option is used by the Hesiod library to determine the name to search DNS for when looking up information, similar to LDAP's use of a base DN.

  `--hesiodrhs`

    The Hesiod RHS ("right-hand side") option, set in `/etc/hesiod.conf`. This option is used by the Hesiod library to determine the name to search DNS for when looking up information, similar to LDAP's use of a base DN.

    | Tip

    To look up user information for "jim", the Hesiod library looks up jim.passwd<LHS><RHS>, which should resolve to a TXT record that looks like what his passwd entry would look like (`jim:*:501:501:Jungle Jim:/home/jim:/bin/bash`). For groups, the situation is identical, except jim.group<LHS><RHS> would be used.

    Looking up users and groups by number is handled by making "501.uid" a CNAME for "jim.passwd", and "501.gid" a CNAME for "jim.group". Note that the LHS and RHS do not have periods <KEYCAP >[.]</KEYCAP > put in front of them when the library determines the name for which to search, so the LHS and RHS usually begin with periods.

  `--enablesmbauth`

    Enables authentication of users against an SMB server (typically a Samba or Windows server). SMB authentication support does not know about home directories, UIDs, or shells. So if you enable it you will need to make users' accounts known to the workstation by enabling LDAP, NIS, or Hesiod or by using the `/usr/sbin/useradd` command to make their accounts known to the workstation. To use this option, you must have the `pam_smb` package installed.

  `--smbservers=`

    The name of the server(s) to use for SMB authentication. To specify more than one server, separate the names with commas (,).

  `--smbworkgroup=`

    The name of the workgroup for the SMB servers.

  `--enablecache`

    Enables the `nscd` service. The `nscd` service caches information about users, groups, and various other types of information. Caching is especially helpful if you choose to distribute information about users and groups over your network using NIS, LDAP, or hesiod.

`bootloader` (required)

  Specifies how the boot loader should be installed and whether the boot loader should be LILO or GRUB. This option is required for both installations and upgrades. For upgrades, if `--useLilo` is not specified and LILO is the current bootloader, the bootloader will be changed to GRUB. To preserve LILO on upgrades, use `bootloader --upgrade`.

  `--append=`

    Specifies kernel parameters. To specify multiple parameters, separate them with spaces. For example:

        bootloader --location=mbr --append="hdd=ide-scsi ide=nodma"

  `--driveorder`

    Specify which drive is first in the BIOS boot order. For example:

        bootloader --driveorder=sda,hda

  `--location=`

    Specifies where the boot record is written. Valid values are the following: `mbr` (the default), `partition` (installs the boot loader on the first sector of the partition containing the kernel), or `none` (do not install the boot loader).

  `--password=`

    If using GRUB, sets the GRUB boot loader password the one specified with this option. This should be used to restrict access to the GRUB shell, where arbitrary kernel options can be passed.

  `--md5pass=`

    If using GRUB, similar to `--password=` except the password should already be encrypted.

  `--useLilo`

    Use LILO instead of GRUB as the boot loader.

  `--linear`

    If using LILO, use the `linear` LILO option; this is only for backward compatibility (and linear is now used by default).

  `--nolinear`

    If using LILO, use the `nolinear` LILO option; linear is the default.

  `--lba32`

    If using LILO, force use of lba32 mode instead of auto-detecting.

  `--upgrade`

    Upgrade the existing boot loader configuration, preserving the old entries. This option is only available for upgrades.

`clearpart` (optional)

  Removes partitions from the system, prior to creation of new partitions. By default, no partitions are removed.

  | Note
  | If the `clearpart` command is used, then the `--onpart` command cannot be used on a logical partition.

  `--all`

    Erases all partitions from the system.

  `--drives=`

    Specifies which drives to clear partitions from. For example, the following clears the partitions on the first two drives on the primary IDE controller:

        clearpart --drives hda,hdb

  `--initlabel`

    Initializes the disk label to the default for your architecture (for example `msdos` for x86 and `gpt` for Itanium). It is useful so that the installation program does not ask if it should initialize the disk label if installing to a brand new hard drive.

  `--linux`

    Erases all Linux partitions.

  `--none` (default)

    Do not remove any partitions.

`cmdline` (optional)

  Perform the installation in a completely non-interactive command line mode. Any prompts for interaction will halt the install. This mode is useful on S/390 systems with the x3270 console.

`device` (optional)

  On most PCI systems, the installation program will autoprobe for Ethernet and SCSI cards properly. On older systems and some PCI systems, however, kickstart needs a hint to find the proper devices. The `device` command, which tells the installation program to install extra modules, is in this format:

      device <type> <moduleName> --opts=<options>

  `<type>`

    Replace with either `scsi` or `eth`

  `<moduleName>`

    Replace with the name of the kernel module which should be installed.

  `--opts=`

    Options to pass to the kernel module. Note that multiple options may be passed if they are put in quotes. For example:

        --opts="aic152x=0x340 io=11"

`driverdisk` (optional)

  Driver diskettes can be used during kickstart installations. You need to copy the driver diskettes's contents to the root directory of a partition on the system's hard drive. Then you need to use the `driverdisk` command to tell the installation program where to look for the driver disk.

      driverdisk <partition> [--type=<fstype>]

  Alternatively, a network location can be specified for the driver diskette:

      driverdisk --source=ftp://path/to/dd.img
      driverdisk --source=http://path/to/dd.img
      driverdisk --source=nfs:host:/path/to/img

  `<partition>`

    Partition containing the driver disk.

  `--type=`

    File system type (for example, vfat or ext2).

`firewall` (optional)

  This option corresponds to the Firewall Configuration screen in the installation program:

      firewall --enabled|--disabled [--trust=] <device> [--port=]

  `--enabled`

    Reject incoming connections that are not in response to outbound requests, such as DNS replies or DHCP requests. If access to services running on this machine is needed, you can choose to allow specific services through the firewall.

  `--disabled`

    Do not configure any iptables rules.

  `--trust=`

    Listing a device here, such as eth0, allows all traffic coming from that device to go through the firewall. To list more than one device, use `--trust eth0 --trust eth1`. Do NOT use a comma-separated format such as `--trust eth0, eth1`.

  `<incoming>`

    Replace with one or more of the following to allow the specified services through the firewall.

    - `--ssh`

    - `--telnet`

    - `--smtp`

    - `--http`

    - `--ftp`

  `--port=`

    You can specify that ports be allowed through the firewall using the port:protocol format. For example, to allow IMAP access through your firewall, specify `imap:tcp`. Numeric ports can also be specified explicitly; for example, to allow UDP packets on port 1234 through, specify `1234:udp`. To specify multiple ports, separate them by commas.

`firstboot` (optional)

  Determine whether the Setup Agent starts the first time the system is booted. If enabled, the `firstboot` package must be installed. If not specified, this option is disabled by default.

  `--enable`

    The Setup Agent is started the first time the system boots.

  `--disable`

    The Setup Agent is not started the first time the system boots.

  `--reconfig`

    Enable the Setup Agent to start at boot time in reconfiguration mode. This mode enables the language, mouse, keyboard, root password, security level, time zone, and networking configuration options in addition to the default ones.

`install` (optional)

  Tells the system to install a fresh system rather than upgrade an existing system. This is the default mode. For installation, you must specify the type of installation from one of `cdrom`, `harddrive`, `nfs`, or `url` (for ftp or http installations). The `install` command and the installation method command must be on separate lines.

  `cdrom`

    Install from the first CD-ROM drive on the system.

  `harddrive`

    Install from a Red Hat installation tree on a local drive, which must be either vfat or ext2.

    - `--partition=`

      Partition to install from (such as, sdb2).

    - `--dir=`

      Directory containing the `RedHat` directory of the installation tree.

    For example:

        harddrive --partition=hdb2 --dir=/tmp/install-tree

  `nfs`

    Install from the NFS server specified.

    - `--server=`

      Server from which to install (hostname or IP).

    - `--dir=`

      Directory containing the `RedHat` directory of the installation tree.

    For example:

        nfs --server=nfsserver.example.com --dir=/tmp/install-tree

  `url`

    Install from an installation tree on a remote server via FTP or HTTP.

    For example:

        url --url http://<server>/<dir>

    or:

        url --url ftp://<username>:<password>@<server>/<dir>

`interactive` (optional)

  Uses the information provided in the kickstart file during the installation, but allow for inspection and modification of the values given. You will be presented with each screen of the installation program with the values from the kickstart file. Either accept the values by clicking Next or change the values and click Next to continue. See also `autostep`.

`keyboard` (required)

  Sets system keyboard type. Here is the list of available keyboards on i386, Itanium, and Alpha machines:

      be-latin1, bg, br-abnt2, cf, cz-lat2, cz-us-qwertz, de,
      de-latin1, de-latin1-nodeadkeys, dk, dk-latin1, dvorak, es, et,
      fi, fi-latin1, fr, fr-latin0, fr-latin1, fr-pc, fr_CH, fr_CH-latin1,
      gr, hu, hu101, is-latin1, it, it-ibm, it2, jp106, la-latin1, mk-utf,
      no, no-latin1, pl, pt-latin1, ro_win, ru, ru-cp1251, ru-ms, ru1, ru2,
      ru_win, se-latin1, sg, sg-latin1, sk-qwerty, slovene, speakup,
      speakup-lt, sv-latin1, sg, sg-latin1, sk-querty, slovene, trq, ua,
      uk, us, us-acentos

  The file `/usr/lib/python2.2/site-packages/rhpl/keyboard_models.py` also contains this list and is part of the `rhpl` package.

`lang` (required)

  Sets the language to use during installation. For example, to set the language to English, the kickstart file should contain the following line:

      lang en_US

  The file `/usr/share/redhat-config-language/locale-list` provides a list the valid language codes in the first column of each line and is part of the `redhat-config-languages` package.

`langsupport` (required)

  Sets the language(s) to install on the system. The same language codes used with `lang` can be used with `langsupport`.

  To install one language, specify it. For example, to install and use the French language `fr_FR`:

      langsupport fr_FR

  `--default=`

    If language support for more than one language is specified, a default must be identified.

  For example, to install English and French and use English as the default language:

      langsupport --default=en_US fr_FR

  If you use `--default` with only one language, all languages will be installed with the specified language set to the default.

`logvol` (optional)

  Create a logical volume for Logical Volume Management (LVM) with the syntax:

      logvol <mntpoint> --vgname=<name> --size=<size> --name=<name> <options>

  The options are as follows:

  --noformat

    Use an existing logical volume and do not format it.

  --useexisting

    Use an existing logical volume and reformat it.

  Create the partition first, create the logical volume group, and then create the logical volume. For example:

      part pv.01 --size 3000
      volgroup myvg pv.01
      logvol / --vgname=myvg --size=2000 --name=rootvol

`mouse` (required)

  Configures the mouse for the system, both in GUI and text modes. Options are:

  `--device=`

    Device the mouse is on (such as `--device=ttyS0`).

  `--emulthree`

    If present, simultaneous clicks on the left and right mouse buttons will be recognized as the middle mouse button by the X Window System. This option should be used if you have a two button mouse.

  After options, the mouse type may be specified as one of the following:

      alpsps/2, ascii, asciips/2, atibm, generic, generic3, genericps/2,
      generic3ps/2, genericwheelps/2, genericusb, generic3usb, genericwheelusb,
      geniusnm, geniusnmps/2, geniusprops/2, geniusscrollps/2, geniusscrollps/2+,
      thinking, thinkingps/2, logitech, logitechcc, logibm, logimman,
      logimmanps/2, logimman+, logimman+ps/2, logimmusb, microsoft, msnew,
      msintelli, msintellips/2, msintelliusb, msbm, mousesystems, mmseries,
      mmhittab, sun, none

  This list can also be found in the `/usr/lib/python2.2/site-packages/rhpl/mouse.py` file, which is part of the `rhpl` package.

  If the mouse command is given without any arguments, or it is omitted, the installation program will attempt to auto-detect the mouse. This procedure works for most modern mice.

`network` (optional)

  Configures network information for the system. If the kickstart installation does not require networking (in other words, it is not installed over NFS, HTTP, or FTP), networking is not configured for the system. If the installation does require networking and network information is not provided in the kickstart file, the installation program assumes that the installation should be done over eth0 via a dynamic IP address (BOOTP/DHCP), and configures the final, installed system to determine its IP address dynamically. The `network` option configures networking information for kickstart installations via a network as well as for the installed system.

  `--bootproto=`

    One of `dhcp`, `bootp`, or `static`.

    It default to `dhcp`. `bootp` and `dhcp` are treated the same.

    The DHCP method uses a DHCP server system to obtain its networking configuration. As you might guess, the BOOTP method is similar, requiring a BOOTP server to supply the networking configuration. To direct a system to use DHCP:

        network --bootproto=dhcp

    To direct a machine to use BOOTP to obtain its networking configuration, use the following line in the kickstart file:

        network --bootproto=bootp

    The static method requires that you enter all the required networking information in the kickstart file. As the name implies, this information is static and will be used during and after the installation. The line for static networking is more complex, as you must include all network configuration information on one line. You must specify the IP address, netmask, gateway, and nameserver. For example: (the \ indicates that it is all one line):

        network --bootproto=static --ip=10.0.2.15 --netmask=255.255.255.0 \
        --gateway=10.0.2.254 --nameserver=10.0.2.1

    If you use the static method, be aware of the following two restrictions:

    - All static networking configuration information must be specified on one line; you cannot wrap lines using a backslash, for example.

    - You can only specify one nameserver here. However, you can use the kickstart file's `%post` section (described in Section 9.7 Post-installation Script) to add more name servers, if needed.

  `--device=`

    Used to select a specific Ethernet device for installation. Note that using `--device=` will not be effective unless the kickstart file is a local file (such as `ks=floppy`), since the installation program will configure the network to find the kickstart file. For example:

        network --bootproto=dhcp --device=eth0

  `--ip=`

    IP address for the machine to be installed.

  `--gateway=`

    Default gateway as an IP address.

  `--nameserver=`

    Primary nameserver, as an IP address.

  `--nodns`

    Do not configure any DNS server.

  `--netmask=`

    Netmask for the installed system.

  `--hostname=`

    Hostname for the installed system.

`part` or `partition` (required for installs, ignored for upgrades)

  Creates a partition on the system.

  If more than one Red Hat Enterprise Linux installation exists on the system on different partitions, the installation program prompts the user and asks which installation to upgrade.

  | Warning
  | All partitions created will be formatted as part of the installation process unless `--noformat` and `--onpart` are used.

  `<mntpoint>`

    The `<mntpoint>` is where the partition will be mounted and must be of one of the following forms:

    - `/`<path>``

      For example, `/`, `/usr`, `/home`

    - `swap`

      The partition will be used as swap space.

      To determine the size of the swap partition automatically, use the `--recommended` option:

          swap --recommended

      The minimum size of the automatically-generated swap partition will be no smaller than the amount of RAM in the system and no bigger than twice the amount of RAM in the system.

    - `raid.`<id>``

      The partition will be used for software RAID (refer to `raid`).

    - `pv.`<id>``

      The partition will be used for LVM (refer to `logvol`).

  `--size=`

    The minimum partition size in megabytes. Specify an integer value here such as 500. Do not append the number with MB.

  `--grow`

    Tells the partition to grow to fill available space (if any), or up to the maximum size setting.

  `--maxsize=`

    The maximum partition size in megabytes when the partition is set to grow. Specify an integer value here, and do not append the number with MB.

  `--noformat`

    Tells the installation program not to format the partition, for use with the `--onpart` command.

  `--onpart=` or `--usepart=`

    Put the partition on the already existing device. For example:

        partition /home --onpart=hda1

    will put `/home` on `/dev/hda1`, which must already exist.

  `--ondisk=` or `--ondrive=`

    Forces the partition to be created on a particular disk. For example, `--ondisk=sdb` will put the partition on the second SCSI disk on the system.

  `--asprimary`

    Forces automatic allocation of the partition as a primary partition or the partitioning will fail.

  `--type=` (replaced by `fstype`)

    This option is no longer available. Use `fstype`.

  `--fstype=`

    Sets the file system type for the partition. Valid values are `ext2`, `ext3`, `swap`, and `vfat`.

  `--start=`

    Specifies the starting cylinder for the partition. It requires that a drive be specified with `--ondisk=` or `ondrive=`. It also requires that the ending cylinder be specified with `--end=` or the partition size be specified with `--size=`.

  `--end=`

    Specifies the ending cylinder for the partition. It requires that the starting cylinder be specified with `--start=`.

  | Note
  | If partitioning fails for any reason, diagnostic messages will appear on virtual console 3.

`raid` (optional)

  Assembles a software RAID device. This command is of the form:

      raid <mntpoint> --level=<level> --device=<mddevice> <partitions*>

  `<mntpoint>`

    Location where the RAID file system is mounted. If it is `/`, the RAID level must be 1 unless a boot partition (`/boot`) is present. If a boot partition is present, the `/boot` partition must be level 1 and the root (`/`) partition can be any of the available types. The `<partitions*>` (which denotes that multiple partitions can be listed) lists the RAID identifiers to add to the RAID array.

  `--level=`

    RAID level to use (0, 1, or 5).

  `--device=`

    Name of the RAID device to use (such as md0 or md1). RAID devices range from md0 to md7, and each may only be used once.

  `--spares=`

    Specifies the number of spare drives allocated for the RAID array. Spare drives are used to rebuild the array in case of drive failure.

  `--fstype=`

    Sets the file system type for the RAID array. Valid values are ext2, ext3, swap, and vfat.

  `--noformat`

    Use an existing RAID device and do not format the RAID array.

  `--useexisting`

    Use an existing RAID device and reformat it.

  The following example shows how to create a RAID level 1 partition for `/`, and a RAID level 5 for `/usr`, assuming there are three SCSI disks on the system. It also creates three swap partitions, one on each drive.

      part raid.01 --size=60 --ondisk=sda
      part raid.02 --size=60 --ondisk=sdb
      part raid.03 --size=60 --ondisk=sdc

      part swap --size=128 --ondisk=sda
      part swap --size=128 --ondisk=sdb
      part swap --size=128 --ondisk=sdc

      part raid.11 --size=1 --grow --ondisk=sda
      part raid.12 --size=1 --grow --ondisk=sdb
      part raid.13 --size=1 --grow --ondisk=sdc

      raid / --level=1 --device=md0 raid.01 raid.02 raid.03
      raid /usr --level=5 --device=md1 raid.11 raid.12 raid.13

`reboot` (optional)

  Reboot after the installation is complete (no arguments). Normally, kickstart displays a message and waits for the user to press a key before rebooting.

`rootpw` (required)

  Sets the system's root password to the `<password>` argument.

      rootpw [--iscrypted] <password>

  `--iscrypted`

    If this is present, the password argument is assumed to already be encrypted.

`skipx` (optional)

  If present, X is not configured on the installed system.

`text` (optional)

  Perform the kickstart installation in text mode. Kickstart installations are performed in graphical mode by default.

`timezone` (required)

  Sets the system time zone to `<timezone>` which may be any of the time zones listed by `timeconfig`.

      timezone [--utc] <timezone>

  `--utc`

    If present, the system assumes the hardware clock is set to UTC (Greenwich Mean) time.

`upgrade` (optional)

  Tells the system to upgrade an existing system rather than install a fresh system. You must specify one of cdrom, harddrive, nfs, or url (for ftp and http) as the location of the installation tree. Refer to `install` for details.

`xconfig` (optional)

  Configures the X Window System. If this option is not given, the user will need to configure X manually during the installation, if X was installed; this option should not be used if X is not installed on the final system.

  `--noprobe`

    Do not probe the monitor.

  `--card=`

    Use specified card; this card name should be from the list of cards in `/usr/share/hwdata/Cards` from the `hwdata` package. The list of cards can also be found on the X Configuration screen of the Kickstart Configurator. If this argument is not provided, the installation program will probe the PCI bus for the card. Since AGP is part of the PCI bus, AGP cards will be detected if supported. The probe order is determined by the PCI scan order of the motherboard.

  `--videoram=`

    Specify the amount of video RAM the video card has.

  `--monitor=`

    Use specified monitor; monitor name should be from the list of monitors in `/usr/share/hwdata/MonitorsDB` from the `hwdata` package. The list of monitors can also be found on the X Configuration screen of the Kickstart Configurator. This is ignored if `--hsync` or `--vsync` is provided. If no monitor information is provided, the installation program tries to probe for it automatically.

  `--hsync=`

    Specifies the horizontal sync frequency of the monitor.

  `--vsync=`

    Specifies the vertical sync frequency of the monitor.

  `--defaultdesktop=`

    Specify either GNOME or KDE to set the default desktop (assumes that GNOME Desktop Environment and/or KDE Desktop Environment has been installed through `%packages`).

  `--startxonboot`

    Use a graphical login on the installed system.

  `--resolution=`

    Specify the default resolution for the X Window System on the installed system. Valid values are 640x480, 800x600, 1024x768, 1152x864, 1280x1024, 1400x1050, 1600x1200. Be sure to specify a resolution that is compatible with the video card and monitor.

  `--depth=`

    Specify the default color depth for the X Window System on the installed system. Valid values are 8, 16, 24, and 32. Be sure to specify a color depth that is compatible with the video card and monitor.

`volgroup` (optional)

  Use to create a Logical Volume Management (LVM) group with the syntax:

      volgroup <name> <partition> <options>

  The options are as follows:

  --noformat

    Use an existing volume group and do not format it.

  --useexisting

    Use an existing volume group and reformat it.

  Create the partition first, create the logical volume group, and then create the logical volume. For example:

      part pv.01 --size 3000
      volgroup myvg pv.01
      logvol / --vgname=myvg --size=2000 --name=rootvol

`zerombr` (optional)

  If `zerombr` is specified, and `yes` is its sole argument, any invalid partition tables found on disks are initialized. This will destroy all of the contents of disks with invalid partition tables. This command should be in the following format:

      zerombr yes

  No other format is effective.

`%include`

  Use the `%include `/path/to/file`` command to include the contents of another file in the kickstart file as though the contents were at the location of the `%include` command in the kickstart file.

Prev | Home | Next
Creating the Kickstart File | Up | Package Selection